-- Afficheur de dossier par Emeric0101 pour MACXT de Luaacro
-- Le 18/02/2008 à 19h12
-- XtreamLua.com
Copy_File_MACXT = 0
MACXT_Finder = {}
extensions = {}
extensions = {"lua","txt","mp3","LUA"} -- Met ici les entensions connues pour les icones
n_extensions = table.getn(extensions)
icones = {}
icones = {MACXT_Applications,File_Logo_MACXT,Logo_Itunes_MACXT_Big,MACXT_Applications} -- Mais ici les images des icones dans le même ordre que les extensions !
function MACXT_Finder:Init_Finder()
   if dossier then
     System.currentDirectory(dossier)
    else
      if dossier == nil then
         dossier = "ms0:/"
      end
   end
   System.currentDirectory(dossier)
   fichiers = nil
   fichiers = System.listDirectory()
   n_fichiers = nil
   n_fichiers = table.getn(fichiers)
   Afficher_Finder_MACXT = 1
   Selecteur_Finder = 1
   PosX_Selecteur = 90
   PosY_Selecteur = 60
   ligne = 1
   x = 90+ImgDir_MACXT:width()/2
   y = 60+ImgDir_MACXT:height()/2
end
function MACXT_Finder:Actualiser_Dir()
   fichiers = nil
   fichiers = System.listDirectory()
   n_fichiers = nil
   n_fichiers = table.getn(fichiers)
   Selecteur_Finder = 1
   PosX_Selecteur = 90
   PosY_Selecteur = 60
   tours = 1
   ligne = 1
   x = 90+ImgDir_MACXT:width()/2
   y = 60+ImgDir_MACXT:height()/2
   dossier = System.currentDirectory()
end
function MACXT_Finder:Entrer_Dossier()
   if fichiers[Selecteur_Finder].directory == true then
      System.currentDirectory(System.currentDirectory().."/"..fichiers[Selecteur_Finder].name)
      fichiers = nil
      fichiers = System.listDirectory()
      n_fichiers = nil
      n_fichiers = table.getn(fichiers)
      Selecteur_Finder = 1
      PosX_Selecteur = 90
      PosY_Selecteur = 60
      tours = 1
      ligne = 1
      --x = 90+ImgDir_MACXT:width()/2
      --y = 60+ImgDir_MACXT:height()/2
      dossier = System.currentDirectory()
   end
   longueur = string.len(fichiers[Selecteur_Finder].name)
   nom = string.sub(fichiers[Selecteur_Finder].name,longueur-3)
   if nom == ".png" or nom == ".PNG" or nom == ".jpg" or nom == ".JPG" then
      Image_Loaded_Finder = nil
      Image_Loaded_Finder = Image.load(System.currentDirectory().."/"..fichiers[Selecteur_Finder].name)
      if Image_Loaded_Finder:width() < 460 and Image_Loaded_Finder:height() < 250 then
         MACXT_Title = "Image Viewer"
         Window_Hauteur = Image_Loaded_Finder:height()+20
         Window_Longueur = Image_Loaded_Finder:width()+20
         MACXT_Graphic:Init_New_Personnal_Window()
         MACXT_Repertoire:Reinitialiser_Window()
         Viewer_Image_Finder = 1
       else
         Window_Hauteur = 60
         Window_Longueur = 225
         MACXT_Title = "Erreur"
         Afficher_Erreur_Photo__ = 1
         MACXT_Graphic:Init_New_Personnal_Window()
         MACXT_Repertoire:Reinitialiser_Window()
      end
   end
   if nom == ".lua" or nom == ".LUA" then
      dofile(System.currentDirectory().."/"..fichiers[Selecteur_Finder].name)
   end
   if nom == ".PBP" or nom == ".pbp" then
      System.runeboot(System.currentDirectory().."/"..fichiers[Selecteur_Finder].name)
   end
   if nom == ".MP3" or nom == ".mp3" then
      Player = 1
      Nom_Fichier_Selected = fichiers[Selecteur_Finder].name
      Mp3me.load(fichiers[Selecteur_Finder].name)
      Mp3me.play()
      Annee_Music = Mp3me.year()
      Titre_Music = Mp3me.title()
      Artiste_Music = Mp3me.artist()
      Album_Music = Mp3me.album()
      Genre_Music = Mp3me.genre()
      dofile(MACXT_Path.."/Programs/ItunesV2/Index.lua")
   end
end
function MACXT_Finder:Afficher_Dossier(dossier,ligne)
--Configuration
	tailleiconey = 35
	tailleiconex = 50
	posx = 90
	posy = 60
	tours = 1
	nombredefichierafficher = 16
-- Programme
   if Afficher_Finder_MACXT == 1 then
      System.autoCpu()
      System.currentDirectory(dossier)
      MACXT_Objets_Properties[1] = {Caption = "Ouvrir/Lancer",Action = "Open_Finder"}
      MACXT_Objets_Properties[2] = {Caption = "Lire Informations",Action = "Read_Info"}
      MACXT_Objets_Properties[3] = {Caption = "Supprimer",Action = "Delete_File"}
      MACXT_Objets_Properties[4] = {Caption = "Renommer Fichier",Action = "RenameFileFinder"}
      if Copy_File_MACXT == 0 then
         MACXT_Objets_Properties[5] = {Caption = "Copier",Action = "CopierFinder"}
       else
         MACXT_Objets_Properties[5] = {Caption = "Coller",Action = "CollerFinder"}
      end
      MACXT_Repertoire:Actualise_Properties()
      screen:blit(0,MACXT_Barre1:height(),Finder_MACXT)
	   if fichiers == nil then return 0 end
	   if ligne < 1 then
		   ligne = 1
         Selecteur_Finder = 1
         PosX_Selecteur = 90
         PosY_Selecteur = 60
	   end
	   if ligne*4 > n_fichiers then
		   ligne = n_fichiers/4
		   if ligne < 1 then
			ligne = 1
			end
	   end
	   for i=ligne, n_fichiers do
			if n_fichiers < 1 then break end
			if i > ligne + (nombredefichierafficher-1) then break end
		   if string.len(fichiers[i].name) > 12 then
			   file = string.sub(fichiers[i].name,0,9) --.. "..."
		    else
			   file = fichiers[i].name
		   end
		   blit = 0
         screen:blit(posx + 5,posy,Big_File_Logo_MACXT)
		   for a=0,n_extensions do
			   if string.sub(fichiers[i].name, string.len(fichiers[i].name)-2) == extensions[a] then
				   screen:blit(posx,posy,icones[a])
				   blit = 1
			   end
		   end
         if fichiers[i].directory == true then
            screen:blit(posx,posy,ImgDir_MACXT)
            if System.currentDirectory() == MACXT_Path then
               if file == "MACXT" then
                  --screen:blit(posx,posy,Icon_Systeme_MACXT)
               end
            end
         end
		   if blit == 0 then
		   end
		   screen:print(posx,posy+tailleiconey+5,file)
         longueur = string.len(fichiers[i].name)
         nom = string.sub(fichiers[i].name,longueur - 3)
         if nom == ".png" or nom == ".PNG" or nom == ".JPG" or nom == ".jpg" then
            screen:blit(posx,posy,Sprite_MAC_MACXT,93,162,35,35)
         end
         --screen:blit(2,24,Finder_MACXT,50,2,50,10)
         --screen:blit(25,260,Finder_MACXT,25,238,460,13)
         screen:blit(5,MACXT_Barre1:height() + 40,Sprite_MAC_MACXT,4,125,35,35)
         screen:print(43,MACXT_Barre1:height() + 40 + 35/2,"Dep")
         screen:blit(5,MACXT_Barre1:height() + 80,Sprite_MAC_MACXT,93,162,35,35)
         screen:blit(5,MACXT_Barre1:height() + 120,Sprite_MAC_MACXT,90,5,45,39)
         screen:print(43,MACXT_Barre1:height() + 80 + 35/2,"Pic")
         screen:print(48,MACXT_Barre1:height() + 120 + 35/2,"App")
         screen:print(480/2 - string.len(System.currentDirectory())*8.5/2,MACXT_Barre1:height() + 3,System.currentDirectory())
         if x >= 0 and x <= 15 and y >= MACXT_Barre1:height() and y <= MACXT_Barre1:height() + 10 then
            MACXTAide = "Fermer la fenetre"
            if MACXTKeyPad:cross() then
               Afficher_Finder_MACXT = 0
               Afficher_Wallpaper_MACXT_TRUE = true
               System.currentDirectory(MACXT_Path)
            end
         end
         if x >= 5 and x <= 40 and y >= MACXT_Barre1:height() + 120 and y <= MACXT_Barre1:height() + 120 + 40 and Viewer_Image ~= 1 then
            MACXTAide = "Applications"
            if MACXTKeyPad:cross() then
               dossier = MACXT_Path.."/Programs/"
               MACXT_Finder:Init_Finder()
            end
         end
         if x >= 5 and x <= 40 and y >= MACXT_Barre1:height() + 40 and y <= MACXT_Barre1:height() + 40+35 and Viewer_Image ~= 1 then
            MACXTAide = "Depart"
            if MACXTKeyPad:cross() then
               dossier = "ms0:/"
               MACXT_Finder:Init_Finder()
            end
         end
         if x >= 5 and x <= 40 and y >= MACXT_Barre1:height() + 80 and y <= MACXT_Barre1:height() + 80+35 and Viewer_Image ~= 1 then
            MACXTAide = "Mes images"
            if MACXTKeyPad:cross() then
               dossier = "ms0:/PSP/PHOTO/"
               MACXT_Finder:Init_Finder()
            end
         end
         if Action_Properties == "Delete_File" then
            Window_Hauteur = 45
            Window_Longueur = 225
            MACXT_Graphic:Init_New_Personnal_Window()
            MACXT_Title = "Avertissement"
            MACXT_Texte_Window[1] = {Caption = "Etes-vous sur ?"}
            MACXT_Repertoire:Actualise_Texte_Window()
            Affichage_Button = "Horizontal_Drawing"
            MACXT_Draw_Button[1] = {Caption = "Accepter",Action = "AcceptDelete"}
            MACXT_Draw_Button[2] = {Caption = "Annuler",Action = "AnnulerDelete"}
            MACXT_Repertoire:Actualise_Draw_Button()
            if Action_Button == "AcceptDelete" then
               if fichiers[Selecteur_Finder].directory == true then
                  System.removeDirectory(fichiers[Selecteur_Finder].name)
                else
                  DeleteFile = System.currentDirectory().."/"..fichiers[Selecteur_Finder].name
                  NomDeleteFile = fichiers[Selecteur_Finder].name
                  System.copyFile(DeleteFile,MACXT_Path.."/MACXT/Systeme/Corbeille/"..NomDeleteFile,1)
                  Afficher_Personnal_Window = 0
               end
               Afficher_Personnal_Window = 0
               MACXT_Repertoire:Anti_Bug()
            end
            if Action_Button == "AnnulerDelete" then
               Afficher_Personnal_Window = 0
               MACXT_Repertoire:Anti_Bug()
            end
         end
         if Action_Properties == "CopierFinder" then
            CopieFileFinder = System.currentDirectory().."/"..fichiers[Selecteur_Finder].name
            NomCopieFileFinder = fichiers[Selecteur_Finder].name
            Copy_File_MACXT = 1
            MACXT_Repertoire:Anti_Bug()
         end
         if Action_Properties == "CollerFinder" then
            System.copyFile(CopieFileFinder,NomCopieFileFinder,0)
            Copy_File_MACXT = 0
            MACXT_Finder:Actualiser_Dir()
            MACXT_Repertoire:Anti_Bug()
         end
         if Action_Properties == "Open_Finder" then
            MACXT_Finder:Entrer_Dossier()
            MACXT_Repertoire:Anti_Bug()
         end
         if Viewer_Image_Finder == 1 then
            MACXT_Texte_Window[1] = {Caption = "Apercu :"}
            MACXT_Repertoire:Actualise_Texte_Window()
            Affichage_Images = "Horizontal_Screen"
            MACXT_Images_Window[1] = {Images = Image_Loaded_Finder}
            MACXT_Repertoire:Actualise_Images()
            if Afficher_Personnal_Window == 0 then
               Selecteur_Finder = 1
               PosX_Selecteur = 90
               PosY_Selecteur = 60
               MACXT_Repertoire:Reinitialiser_Window()
               Viewer_Image_Finder = 0
            end
         end
         if Action_Properties == "RenameFileFinder" then
            RenameFile__ = fichiers[Selecteur_Finder].name
            RenameFile___ = System.startOSK(RenameFile__,"")
            System.rename(RenameFile__,RenameFile___)
            MACXT_Finder:Actualiser_Dir()
            MACXT_Repertoire:Anti_Bug()
         end
         if Action_Properties == "Read_Info" then
            Jouer_Musique = 0
            Nom_Fichier = fichiers[Selecteur_Finder].name
            longueur_Selecteur = string.len(fichiers[Selecteur_Finder].name)
            Nom_Extension_Fichier = string.sub(fichiers[Selecteur_Finder].name,longueur_Selecteur - 3)
            MACXT_Title = "Informations sur "..fichiers[Selecteur_Finder].name
            Window_Hauteur = 125
            Window_Longueur = string.len(MACXT_Title)*9
            MACXT_Graphic:Init_New_Personnal_Window()
            MACXT_Repertoire:Reinitialiser_Window()
            Afficher_Info = 1
            MACXT_Repertoire:Anti_Bug()
         end
         if Afficher_Erreur_Photo__ == 1 then
            Window_Hauteur = 60
            Window_Longueur = 230
            MACXT_Texte_Window[1] = {Caption = "Taille de l'image trop"}
            MACXT_Texte_Window[2] = {Caption = "grande, ouvrir avec Iphoto?"}
            MACXT_Repertoire:Actualise_Texte_Window()
            Affichage_Button = "Horizontal_Drawing"
            MACXT_Draw_Button[1] = {Caption = "Accepter",Action = "AcceptIphoto"}
            MACXT_Draw_Button[2] = {Caption = "Annuler",Action = "AnnulerIphoto"}
            MACXT_Repertoire:Actualise_Draw_Button()
            if Action_Button == "AnnulerIphoto" then
               Afficher_Personnal_Window = 0
               Afficher_Erreur_Photo__ = 0
               MACXT_Repertoire:Anti_Bug()
            end
            if Action_Button == "AcceptIphoto" then
               Afficher_Personnal_Window = 0
               dofile(MACXT_Path.."/Programs/Iphoto/Index.lua")
               Afficher_Erreur_Photo__ = 0
               MACXT_Repertoire:Anti_Bug()
            end
         end
         if Afficher_Info == 1 then
            MACXT_Texte_Window[1] = {Caption = "Nom : "..Nom_Fichier}
            MACXT_Texte_Window[2] = {Caption = "Fichier:"..Nom_Extension_Fichier}
            if fichiers[Selecteur_Finder].directory == true then
               MACXT_Texte_Window[2] = {Caption = "Taille:"..System.getDirSize(fichiers[Selecteur_Finder].name)/(1024).." KB"}
             else
               MACXT_Texte_Window[2] = {Caption = "Taille:"..System.getFileSize(fichiers[Selecteur_Finder].name)/(1024).." KB"}
            end
            MACXT_Texte_Window[3] = {Caption = "Apercu :"}
            MACXT_Repertoire:Actualise_Texte_Window()
            Affichage_Images = "Horizontal_Screen"
            if Nom_Extension_Fichier ~= ".jpg" or Nom_Extension_Fichier ~= ".JPG" or nom_Selecteur ~= ".PNG" or Nom_Extension_Fichier ~= ".png" or Nom_Extension_Fichier ~= ".mp3" or Nom_Extension_Fichier ~= ".MP3" then
               MACXT_Images_Window[1] = {Images = Big_File_Logo_MACXT}
            end
            if Nom_Extension_Fichier == ".MP3" or Nom_Extension_Fichier == ".mp3" then
               MACXT_Images_Window[1] = {Images = Logo_Itunes_MACXT_Big}
            end
            if Nom_Extension_Fichier == ".jpg" or Nom_Extension_Fichier == ".JPG" or Nom_Extension_Fichier == ".PNG" or Nom_Extension_Fichier == ".png" then
               MACXT_Images_Window[1] = {Images = Sprite_MAC_MACXT,93,162,35,35}
            end
            MACXT_Repertoire:Actualise_Images()
            Affichage_Button = "Horizontal_Drawing"
            MACXT_Draw_Button[1] = {Caption = "Fermer",Action = "Close_Window_Info"}
            MACXT_Repertoire:Actualise_Draw_Button()
            if Action_Button == "Close_Window_Info" then
               MACXT_Repertoire:Reinitialiser_Window()
               Afficher_Info = 0
               MACXT_Repertoire:Anti_Bug()
            end
            if Afficher_Info == 0 or Afficher_Personnal_Window == 0 or MACXTKeyPad:start() then
               MACXT_Repertoire:Reinitialiser_Window()
               Afficher_Info = 0
               Afficher_Personnal_Window = 0
            end
         end
		   posx = posx + tailleiconex*2
		   tours = tours + 1
		   if tours > 4 then
			   posx = 90
			   posy=posy + tailleiconey + 15
			   tours = 1
		   end
         if x > 60 and x < 480 and y > MACXT_Barre1:height() + 30 and y <= MACXT_Barre1:height() + 205 and Selecteur_Finder > 0 and Selecteur_Finder < n_fichiers+1 then
            screen:fillRect(480/2-string.len(fichiers[Selecteur_Finder].name)*9/2,259,string.len(fichiers[Selecteur_Finder].name)*9,10,Color.new(255,255,255))
            screen:print(480/2-string.len(fichiers[Selecteur_Finder].name)*8.5/2,260,fichiers[Selecteur_Finder].name)
          else
            Selecteur_Finder = ligne
            PosX_Selecteur = 90
            PosY_Selecteur = 60
         end
	   end
      Finder:Run_Finder()
   end
end
function MACXT_Finder:RunAppFinder()
   MACXT_Objets_Barre[1] = {Caption = "Finder",Fonction = "Finder"}
   MACXT_Objets_Barre[2] = {Caption = "Fichier",Fonction = "Fichier"}
   MACXT_Objets_Barre[3] = {Caption = "Aller",Fonction = "Aller"}
   if Fonction_Barre == "Finder" then
      MACXT_Objets_Barre_Fonction[1] = {Caption = "A Propos Du Finder",Action = "Propos_Finder"}
      MACXT_Objets_Barre_Fonction[2] = {Caption = "Preferences...",Action = "Preferences_Finder"}
      MACXT_Objets_Barre_Fonction[3] = {Caption = "Vider la corbeille",Action = "Vider_Corbeille"}
      MACXT_Repertoire:Actualise_Fonction()
   end
   if Fonction_Barre == "Fichier" then
      MACXT_Objets_Barre_Fonction[1] = {Caption = "Nouvelle Fenetre Finder",Action = "New_Window_Finder"}
      MACXT_Objets_Barre_Fonction[2] = {Caption = "Nouveau Dossier",Action = "New_Dossier"}
      MACXT_Objets_Barre_Fonction[3] = {Caption = "Rafraichir",Action = "Refresh_Fenetre_Finder"}
      MACXT_Objets_Barre_Fonction[4] = {Caption = "Fermer la fenetre",Action = "Close_Finder"}
      if Afficher_Personnal_Window == 1 then
         MACXT_Objets_Barre_Fonction[5] = {Caption = "Fermer "..MACXT_Title,Action = "Close_Personnal_Window"}
      end
      MACXT_Repertoire:Actualise_Fonction()
   end
   if Fonction_Barre == "Aller" then
      MACXT_Objets_Barre_Fonction[1] = {Caption = "Applications",Action = "Go_To_Applications_Dir"}
      MACXT_Objets_Barre_Fonction[2] = {Caption = "Depart",Action = "Go_To_Depart_Dir"}
      MACXT_Objets_Barre_Fonction[3] = {Caption = "Corbeille",Action = "Go_To_Trash"}
      MACXT_Repertoire:Actualise_Fonction()
   end
   MACXT_Repertoire:Actualise_Systeme_Barre()
   if Action_Barre == "Propos_Finder" then
      MACXT_Repertoire:Reinitialiser_Window()
      Window_Hauteur = 150
      Window_Longueur = 240
      MACXT_Title = "A propos de Finder"
      MACXT_Graphic:Init_New_Personnal_Window()
      MACXT_Graphic:New_Textes()
      MACXT_Texte_Window[1] = {Caption = "Finder est un module"}
      MACXT_Texte_Window[2] = {Caption = "permettant d'explorer"}
      MACXT_Texte_Window[3] = {Caption = "votre Memory Stick"}
      MACXT_Texte_Window[4] = {Caption = "Merci a emeric0101 pour son"}
      MACXT_Texte_Window[5] = {Caption = "aide apportee."}
      MACXT_Repertoire:Actualise_Texte_Window()
      Affichage_Images = "Horizontal_Screen"
      MACXT_Images_Window[1] = {Images = Icone_Finder_MACXT}
      MACXT_Repertoire:Actualise_Images()
      MACXT_Repertoire:Anti_Bug()
   end
   if Action_Barre == "New_Dossier" and Afficher_Finder_MACXT == 1 then
      Window_Hauteur = 45
      Window_Longueur = 280
      MACXT_Graphic:Init_New_Personnal_Window()
      MACXT_Title = "Nouveau Dossier"
      MACXT_Texte_Window[1] = {Caption = "Donnez un nom a votre dossier"}
      MACXT_Repertoire:Actualise_Texte_Window()
      Affichage_Button = "Horizontal_Drawing"
      MACXT_Draw_Button[1] = {Caption = "Accepter",Action = "AcceptNewDossier"}
      MACXT_Draw_Button[2] = {Caption = "Annuler",Action = "RefusNewDossier"}
      MACXT_Repertoire:Actualise_Draw_Button()
      if Action_Button == "AcceptNewDossier" then
         NomDossierFinder = System.startOSK("Nouveau Dossier","")
         System.createDirectory(NomDossierFinder)
         MACXT_Finder:Actualiser_Dir()
         Afficher_Personnal_Window = 0
         MACXT_Repertoire:Anti_Bug()
      end
      if Action_Button == "RefusNewDossier" then
         Afficher_Personnal_Window = 0
         MACXT_Repertoire:Anti_Bug()
      end
   end
   if Action_Barre == "Refresh_Fenetre_Finder" then
      MACXT_Finder:Actualiser_Dir()
      MACXT_Repertoire:Anti_Bug()
   end
   if Action_Barre == "Close_Personnal_Window" then
      Afficher_Personnal_Window = 0
      MACXT_Repertoire:Anti_Bug()
   end
   if Action_Barre == "Go_To_Trash" then
      dossier = MACXT_Path.."/MACXT/Systeme/Corbeille/"
      MACXT_Finder:Init_Finder()
      Afficher_Wallpaper_MACXT_TRUE = false
      MACXT_Repertoire:Anti_Bug()
   end
   if Action_Barre == "Go_To_Depart_Dir" then
      dossier = MACXT_Path
      MACXT_Finder:Init_Finder()
      Afficher_Wallpaper_MACXT_TRUE = false
      MACXT_Repertoire:Anti_Bug()
   end
   if Action_Barre == "New_Window_Finder" then
      dossier = "ms0:/"
      MACXT_Finder:Init_Finder()
      Afficher_Wallpaper_MACXT_TRUE = false
      MACXT_Repertoire:Anti_Bug()
   end
   if Action_Barre == "Close_Finder" then
      Afficher_Finder_MACXT = 0
      Afficher_Wallpaper_MACXT_TRUE = true
      MACXT_Repertoire:Anti_Bug()
   end
   if Action_Barre == "Go_To_Applications_Dir" then
      dossier = MACXT_Path.."/Programs"
      MACXT_Finder:Init_Finder()
      Afficher_Wallpaper_MACXT_TRUE = false
      MACXT_Repertoire:Anti_Bug()
   end
   if Action_Barre == "Vider_Corbeille" then
      Window_Hauteur = 60
      Window_Longueur = 280
      MACXT_Graphic:Init_New_Personnal_Window()
      MACXT_Title = "Avertissement"
      MACXT_Texte_Window[1] = {Caption = "Vous perdrez toutes vos donnees,"}
      MACXT_Texte_Window[2] = {Caption = "en etes-vous certain ?"}
      MACXT_Repertoire:Actualise_Texte_Window()
      Affichage_Button = "Horizontal_Drawing"
      MACXT_Draw_Button[1] = {Caption = "Accepter",Action = "AcceptVidageDeTrash"}
      MACXT_Draw_Button[2] = {Caption = "Annuler",Action = "RefusVidageDeTrash"}
      MACXT_Repertoire:Actualise_Draw_Button()
      if Action_Button == "RefusVidageDeTrash" then
         Afficher_Personnal_Window = 0
         MACXT_Repertoire:Anti_Bug()
      end
      if Action_Button == "AcceptVidageDeTrash" then
         System.currentDirectory(MACXT_Path.."/MACXT/Systeme/Corbeille")
         Fichiers_Corbeille = nil
         Fichiers_Corbeille = System.listDirectory()
         n_fichiers_Corbeille = table.getn(Fichiers_Corbeille)
         for Corbeille = 1,n_fichiers_Corbeille do
            System.removeFile(Fichiers_Corbeille[Corbeille].name)
         end
         Afficher_Personnal_Window = 0
         MACXT_Finder:Actualiser_Dir()
         MACXT_Repertoire:Anti_Bug()
      end
   end
end
